Bug 859560 - rhc-accept-node
rhc-accept-node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 16:45 EDT by Mike McGrath
Modified: 2015-05-14 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2012-09-21 16:45:00 EDT
rhc-accept-node should check ~/.ssh/, .sandbox, .tmp and .env exists
Comment 1 Ram Ranganathan 2012-09-25 15:12:36 EDT
Fixed with pull request: 
    https://github.com/openshift/li/pull/401

Waiting for merge.
Comment 2 Peter Ruan 2012-09-26 19:09:32 EDT
verified on devenv_2236

drwxr-x---.  3 root  73c93a2fe3994c8c8c4e5bdb6b210720 4096 Sep 26 13:52 .env
d---------.  3 root  root                             4096 Sep 26 19:07 .sandbox
drwxr-x---.  2 root  73c93a2fe3994c8c8c4e5bdb6b210720 4096 Sep 26 13:53 .ssh
d---------.  3 root  root                             4096 Sep 26 19:07 .tmp
Comment 3 Peter Ruan 2012-09-26 19:09:48 EDT
verified on devenv_2236

drwxr-x---.  3 root  73c93a2fe3994c8c8c4e5bdb6b210720 4096 Sep 26 13:52 .env
d---------.  3 root  root                             4096 Sep 26 19:07 .sandbox
drwxr-x---.  2 root  73c93a2fe3994c8c8c4e5bdb6b210720 4096 Sep 26 13:53 .ssh
d---------.  3 root  root                             4096 Sep 26 19:07 .tmp
Comment 4 Xiaoli Tian 2012-09-27 01:36:28 EDT
Verified it on devenv_2440 with the following steps:

[root@ip-10-190-27-254 ~]# rhc-accept-node 
PASS

[root@ip-10-190-27-254 diy1-2240t]# ls -a
.  ..  app-root  diy-0.1  diy1  .env  git  .gitconfig  .m2  .sandbox  .ssh  .tmp
[root@ip-10-190-27-254 diy1-2240t]# rm -rf .env 
[root@ip-10-190-27-254 diy1-2240t]# rm -rf .ssh/
[root@ip-10-190-27-254 diy1-2240t]# rm -rf .tmp/
[root@ip-10-190-27-254 diy1-2240t]# rm -rf .sandbox/

run rhc-accept-node to see if it will detect these removed files.

[root@ip-10-190-27-254 diy1-2240t]# rhc-accept-node 
FAIL: directory beec1ff41a554d7b82c4b3c712dae534 doesn't have a .ssh directory
FAIL: directory beec1ff41a554d7b82c4b3c712dae534 doesn't have a .env directory
FAIL: directory beec1ff41a554d7b82c4b3c712dae534 doesn't have a .sandbox directory
FAIL: directory beec1ff41a554d7b82c4b3c712dae534 doesn't have a .tmp directory
4 ERRORS


Then the feature is added.

Note You need to log in before you can comment on or make changes to this bug.